@import url('https://fonts.googleapis.com/css?family=Lato');

.animate-opacity{-webkit-animation:opac 4s;animation:opac 4s}
@-webkit-keyframes opac{from{opacity:0;-ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=0)"} to{opacity:1;-ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=100)"}}
@keyframes opac{from{opacity:0;-ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=0)"} to{opacity:1;-ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=100)"}}

body,
#navbar,
#header,
.container,
#footer {
    width: 100%;
}

#navbar,
#navbar ul,
.section-row,
.section-row-news,
#footer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

#navbar h2,
#header,
#about,
#team,
.section-row-news,
#footer {
    text-align: center;
}

body {
    position: relative;
    min-height: 100%;
    padding: 0;
    margin: 0;
    font-family: Lato, sans-serif;
    background-color: #fff;
}

hr {
    margin: auto;
    width: 70px;
    position: relative;
    border-top: 2px solid #61d2b4;
    margin-top: 15px;
}

#navbar {
    position: fixed;
    top: 0;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -ms-grid-row-align: center;
    align-items: center;
    height: 65px;
    z-index: 10;
    -webkit-transition:.3s;
    transition: .3s;
}

#navbar h2 {
    display: none;
}

.navbar-scroll {
    background-color: #fff;
    box-shadow: 0 3px 6px 3px rgba(0,0,0,.06);
}

.nav-a-scroll {
    color: #333 !important;
}

#navbar ul {
    -webkit-padding-start: 0;
}

#navbar ul li {
    list-style: none;
}

#navbar ul li a {
    color: #fff;
    text-decoration: none;
    font-size: 0.95em;
    white-space: nowrap;
    padding: 10px 25px;
    border-radius: 25px;
    -webkit-transition: 0.3s;
    transition: 0.3s;
    font-weight: bold;
    letter-spacing: 0.05em;
}

#navbar ul li a:hover,
#footer a:hover {
    color: #61D2B4;
}

.active {
    background-color: #61D2B4;
    color: #fff !important;
}

#header {
    background-image: url("../_pics/tf2e.jpg");
    background-attachment: fixed;
    background-position: bottom;
    box-shadow: 0px 0px 20px 0 black;
    margin-top: -40px;
    height: 520px;
}

#header h1,
#header h2 {
    color: #fff;
    padding: 0 20px;
    margin-bottom: 45px;
}

#header h1 {
    text-transform: uppercase;
    letter-spacing: 0.05em;
    font-size: 3.5em;
    text-shadow: 4px 6px 6px black;
    padding-top: 140px;
}

#header a {
    padding: 15px 25px;
    border-radius: 25px;
    color: #fff;
    text-decoration: none;
    font-size: 1em;
    white-space: nowrap;
    margin: 0 3%;
    font-weight: bold;
    box-shadow: 0px 2px 4px 0px #000;
    transition: .3s;
}

#header .discord {
    background-color: #7289da;
}

#header .discord:hover {
    background-color: #4769d8;
}

#header .steam {
    background-color: #171a21;
}

#header .steam:hover {
    background-color: #394051;
}

.hd-hr {
    border-color: rgba(0,0,0,0) !important;
    margin-bottom: 35px;
}

#header .play {
    background-color: goldenrod;
    font-size: 1.3em;
}

#header .play:hover {
    background-color: rgb(218, 144, 32);
}

.container {
    -webkit-box-pack: space-evenly;
    -ms-flex-pack: space-evenly;
    justify-content: space-evenly;
    background-color: #fff;
}

.section {
    padding: 80px 0;
    background-color: #fff;
}

.section-header {
    width: 50%;
    margin: 0 auto 40px auto;
}

.section-header h1 {
    text-transform: uppercase;
    font-size: 2.6em;
    font-weight: 900;
    margin-top: 0;
    margin-bottom: 0;
}

.section-row {
    width: 65%;
    margin: 0 auto;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
}

.row-icon {
    margin-bottom: 30px;
    color: #61D2B4;
}

.row-item {
    width: 350px;
    min-height: 100px; 
    padding: 0 15px 15px 15px;
}

.row-item img {
    border-radius: 50%;
    margin-bottom: 20px;
    -webkit-transition:.3s;
    transition: .3s;
}

.row-item img:hover {
    -webkit-filter: brightness(150%);
    filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1.5" /><feFuncG type="linear" slope="1.5" /><feFuncB type="linear" slope="1.5" /></feComponentTransfer></filter></svg>#filter');
    filter: brightness(150%);
}

.row-item h2 {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 1.3em;
    font-weight: 900;
    letter-spacing: 0.07em;
    white-space: nowrap;
}

.row-item p {
    line-height: 1.5em;
}

#about {
    min-height: 1px;
    color: #333;
}

#team {
    background-image: url("../_pics/tf2a.jpg");
    background-attachment: fixed;
    background-position: bottom;
    min-height: 500px;
    color: #fff;
}

#news {
    min-height: 650px;
    color: #333;
}

.section-row-news {
    width: 90%;
    margin: 0 auto;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
}

.row-news {
    width: 100%;
    min-height: 100px;
}

#footer {
    height: 70px;
    padding: 20px 0;
    background-color: #292f35;
    color: #fff;
    font-weight: 900;
    -ms-flex-pack: distribute;
        justify-content: space-around;
    -webkit-box-align: center;
        -ms-flex-align: center;
                -ms-grid-row-align: center;
            align-items: center
}

#footer a {
    color: #fff;
    -webkit-transition:.3s;
    transition: .3s;
    text-decoration: none;
}

.foot-nav a {
    padding: 0 20px;
    white-space: nowrap;
}

@media all and (max-width: 1335px) {
    .section-header {
        width: 70%;
    }
    .section-row {
        width: 95%;
    }
    .row-item img {
        width: 150px;
    }
}

@media all and (max-width: 1224px) {
    #footer {
        font-size: 0.8em;
    }
    .foot-nav a {
        padding: 0 10px;
    }
}

@media all and (max-width: 930px) {
    .section-row {
        display: block !important;
    }
    .row-item {
        width: 90%;
        margin: 0 auto;
    }
}

@media all and (max-width: 768px) {
    #navbar {
        display: block;
        height: 300px;
        padding-top: 5px;
        position: relative;
        background-color: #292f35;
        text-align: center;
        font-size: 1.5em;
        z-index: 0;
    }
    #navbar ul {
        margin: 0;
        display: block !important;
        margin-left: -40px;
        -webkit-margin-start: 0;
    }
    #navbar ul li {
        list-style: none;
        padding: 15px;
        border-bottom: 1px solid white;
    }
    #navbar ul li:last-child {
        border-bottom: none;
    }
    #navbar h2 {
        display: block;
        margin-top: 0;
        margin-bottom: 0.2em;
        color: #fff;
    }
    #header {
        height: 500px;
    }
    #header h1 {
        font-size: 3em;
        padding-top: 80px;
    }
    
    #header .play {
        display: none;
    }
    .section-header {
        width: 90%;
    }
    #team {
        background-size: cover;
        background-position: initial;
    }
}